Bug 808025 - Review Request: libsecret - Library for storing and retrieving passwords and other secrets
Review Request: libsecret - Library for storing and retrieving passwords and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 07:26 EDT by Kalev Lember
Modified: 2012-03-30 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: libsecret-0.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 15:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-03-29 07:26:09 EDT
Spec URL: http://kalev.fedorapeople.org/libsecret.spec
SRPM URL: http://kalev.fedorapeople.org/libsecret-0.1-1.fc17.src.rpm
Description:
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.
Comment 1 Michael Scherer 2012-03-30 11:29:04 EDT
Hi,

a few comments :
- the address of the FSF is wrong in the license, you should warn upstream of it
- you should use %global instead of %define

Otherwise, look good to start a formal review ( and a bug fix for fedora-review who say there is multiple tag "release" found ... ).
Comment 2 Michael Scherer 2012-03-30 11:33:52 EDT
Also, since the package bundle libegg, you should add a provide :
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions 

the rational is to be able to find every instance of the aformentioned library in case it need a update.
Comment 3 Kalev Lember 2012-03-30 12:02:34 EDT
Thanks Michael!

Opened a ticket upstream with the FSF address issue:
https://bugzilla.gnome.org/show_bug.cgi?id=673194

Spec URL: http://kalev.fedorapeople.org/libsecret.spec
SRPM URL: http://kalev.fedorapeople.org/libsecret-0.1-2.fc17.src.rpm

* Fri Mar 30 2012 Kalev Lember <kalevlember@gmail.com> - 0.1-2
- Add provides bundled(egglib) (#808025)
- Use global instead of define
Comment 4 Michael Scherer 2012-03-30 12:06:17 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint libsecret-0.1-1.fc18.i686.rpm

libsecret.i686: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
libsecret.i686: E: incorrect-fsf-address /usr/share/doc/libsecret-0.1/COPYING
libsecret.i686: W: no-manual-page-for-binary secret-tool
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


rpmlint libsecret-0.1-1.fc18.src.rpm

libsecret.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsecret-devel-0.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsecret-debuginfo-0.1-1.fc18.i686.rpm

libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-secure-memory.c
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-secure-memory.h
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-libgcrypt.h
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-libgcrypt.c
1 packages and 0 specfiles checked; 4 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/808025/libsecret-0.1.tar.xz :
  MD5SUM this package     : 4dcd739fb52ee212f0a9e2a65bd53489
  MD5SUM upstream package : 4dcd739fb52ee212f0a9e2a65bd53489

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint libsecret-0.1-1.fc18.i686.rpm

libsecret.i686: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
libsecret.i686: E: incorrect-fsf-address /usr/share/doc/libsecret-0.1/COPYING
libsecret.i686: W: no-manual-page-for-binary secret-tool
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


rpmlint libsecret-0.1-1.fc18.src.rpm

libsecret.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsecret-devel-0.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsecret-debuginfo-0.1-1.fc18.i686.rpm

libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-secure-memory.c
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-secure-memory.h
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-libgcrypt.h
libsecret-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libsecret-0.1/egg/egg-libgcrypt.c
1 packages and 0 specfiles checked; 4 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins:


The package is good to go, since the aformentioned errors got fixed.
Comment 5 Kalev Lember 2012-03-30 12:31:48 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: libsecret
Short Description: Library for storing and retrieving passwords and other secrets
Owners: kalev
Branches:
InitialCC:
Comment 6 Gwyn Ciesla 2012-03-30 12:38:14 EDT
Git done (by process-git-requests).

Michael, please take ownership of review BZs.  Thanks!
Comment 7 Kalev Lember 2012-03-30 15:32:26 EDT
Package imported and built.

Note You need to log in before you can comment on or make changes to this bug.